package bz.bronze.painter;

import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSlider;

public class Window {
	public static int width = 1280;
	public static int height = 720;
	
	public static JPanel paintArea = new JPanel();
	public static JPanel toolbox = new JPanel();
	
	public static JLabel opacitySliderLabel = new JLabel();
	public static JLabel sizeSliderLabel = new JLabel();
	public static JLabel fpsLabel = new JLabel();
	
	public static JSlider opacitySlider = new JSlider();
	public static JSlider sizeSlider = new JSlider();
	
	public static JButton clearButton = new JButton();
	
	public Window(String windowName)
	{
		JFrame window = new JFrame(windowName);
		
		opacitySlider.setMaximum(255);
		opacitySlider.setValue(255);
		opacitySlider.setPreferredSize(new Dimension(100, 50));
		
		sizeSlider.setValue(100);
		sizeSlider.setPreferredSize(new Dimension(100, 50));
		
		clearButton.setText("Clear");
		clearButton.setPreferredSize(new Dimension(100, 50));
		
		window.setLayout(new BorderLayout());
		window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		window.setSize(width, height);
		window.setLocationRelativeTo(null);
		
		toolbox.add(opacitySliderLabel);
		toolbox.add(opacitySlider);
		toolbox.add(sizeSliderLabel);
		toolbox.add(sizeSlider);
		toolbox.add(clearButton);
		toolbox.add(fpsLabel, BorderLayout.SOUTH);
		
		window.add(paintArea);
		window.add(toolbox, BorderLayout.WEST);
		
		paintArea.setVisible(true);
		toolbox.setPreferredSize(new Dimension(200, height));
		toolbox.setVisible(true);
		window.setResizable(false);
		window.setVisible(true);
		
		Mouse.listen();
		
		Log.print("[WINDOW] Created!");
	}
}